Package org.eclipse.draw2d

# Class Figure.IdentitySearch

java.lang.Object
org.eclipse.draw2d.Figure.IdentitySearch

All Implemented Interfaces:
  `TreeSearch`

Enclosing class:
  Figure

protected static final class Figure.IdentitySearch extends Object implements TreeSearch
A search which does not filter any figures. since 3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TreeSearch`
`INSTANCE`
The singleton instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(IFigure f)`
Always returns `true`.
`boolean`
`prune(IFigure f)`
Always returns `false`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final TreeSearch INSTANCE
The singleton instance.

## Method Details

### accept

public boolean accept(IFigure f)
Always returns `true`.

Specified by:
  `accept` in interface `TreeSearch`
Parameters:
  `f` - the current figure in the traversal
Returns:
  `true` if the figure is accepted
See Also:
  - `TreeSearch.accept(IFigure)`

### prune

public boolean prune(IFigure f)
Always returns `false`.

Specified by:
  `prune` in interface `TreeSearch`
Parameters:
  `f` - the current figure in the traversal
Returns:
  `true` if the subgraph should be pruned
See Also:
  - `TreeSearch.prune(IFigure)`